@Echo off
cls
if .%1==. goto error
rem if .%2==. goto error
echo.
echo ŝ InstalaĈo Para Sound Blaster 16/32/64/AWE32/AWE64/AWE64Gold v1.1b
echo.
echo ŝ Por Daniel Jorge Caetano (CorreĈo aos Installs da Creative)
echo.
echo.
echo ŝ Deszipando Arquivos Tempor rios dos Drivers...
echo.
md sbtmp
unzip.exe driver.zip -d .\sbtmp >nul
copy drivport.icf .\sbtmp\control.icf >nul
cd sbtmp
echo.
echo ŝ Instalando Drivers. NĈo mude o diret˘rio de install. Mude apenas 
echo   a letra do drive.
echo ŝ Responda YES a TODAS as perguntas.
echo.
echo Pressione alguma tecla...
pause >nul
cls
install.exe
echo.
echo ŝ InstalaĈo Para Sound Blaster 16/32/64/AWE32/AWE64/AWE64Gold v1.1b
echo.
echo ŝ Por Daniel Jorge Caetano (CorreĈo aos Installs da Creative)
echo.
echo.
echo ŝ InstalaĈo dos Drivers Completa.
echo.
echo ŝ Deletando Arquivos Tempor rios...
echo.
del .\readme\*.* /n >nul
del .\sb16\dll\*.* /n >nul
del .\sb16\driver\*.* /n >nul
del .\sbawe32\dll\*.* /n >nul
del .\sbawe32\driver\*.* /n >nul
del .\sbawe32\driver\sbk\*.* /n >nul
del *.* /n >nul
echo ŝ Removendo Diret˘rios Tempor rios...
echo.
rd readme >nul
rd .\sb16\dll >nul
rd .\sb16\driver >nul
rd sb16 >nul
rd .\sbawe32\dll >nul
rd .\sbawe32\driver\sbk >nul
rd .\sbawe32\driver >nul
rd sbawe32 >nul
cd..
echo ŝ Deszipando Arquivos Tempor rios dos Utilit rios...
echo.
unzip.exe utils.zip -d .\sbtmp >nul
copy utilport.icf .\sbtmp\control.icf >nul
cd sbtmp
echo.
echo ŝ Instalando Utilit rios. NĈo mude o diret˘rio de instalaĈo. Mude 
echo   apenas a letra do drive.
echo ŝ Responda YES a TODAS as perguntas.
echo.
echo Pressione alguma tecla...
pause >nul
cls
install.exe
echo.
echo ŝ InstalaĈo Para Sound Blaster 16/32/64/AWE32/AWE64/AWE64Gold v1.1b
echo.
echo ŝ Por Daniel Jorge Caetano (CorreĈo aos Installs da Creative)
echo.
echo.
echo ŝ InstalaĈo dos Utilit rios Completa.
echo.
echo ŝ Deletando Arquivos Tempor rios...
echo.
del .\browser\*.* /n >nul
del .\ctcd\*.* /n >nul
del .\ctmidi\*.* /n >nul
del .\ctmovie\*.* /n >nul
del .\ctovly\*.* /n >nul
del .\ctwav\*.* /n >nul
del .\dll\*.* /n >nul
del .\mixer\*.* /n >nul
del .\mosaic\*.* /n >nul
del .\text\*.* /n >nul
del *.* /n >nul
echo ŝ Removendo Diret˘rios Tempor rios...
echo.
rd browser >nul
rd ctcd >nul
rd ctmidi >nul
rd ctmovie >nul
rd ctovly >nul
rd ctwav >nul
rd dll >nul
rd mixer >nul
rd mosaic >nul
rd text >nul
cd..
rd sbtmp
echo Pressione alguma tecla...
pause >nul
md %1\MMOS2\DSP >nul
cls
echo.
echo ŝ InstalaĈo Para Sound Blaster 16/32/64/AWE32/AWE64/AWE64Gold v1.1b
echo.
echo ŝ Por Daniel Jorge Caetano (CorreĈo aos Installs da Creative)
echo.
echo.
echo ŝ Instalando dos Drivers CSPs do Windows para o OS/2
echo.
erase %1\MMOS2\DSP\*.* /n >nul
unzip.exe csps.zip -d %1\MMOS2\DSP >nul
echo.
echo Pressione alguma tecla...
pause >nul

rem *** isto ir  desligar o suporte ao WinOS2/DOS. Estes NÇO estĈo prontos!
goto complete

if %2.==none. goto complete
if %2.==None. goto complete
if %2.==nOne. goto complete
if %2.==noNe. goto complete
if %2.==nonE. goto complete
if %2.==NOne. goto complete
if %2.==NoNe. goto complete
if %2.==NonE. goto complete
if %2.==NONe. goto complete
if %2.==NOnE. goto complete
if %2.==NONE. goto complete
if %2.==NoNE. goto complete
if %2.==NONE. goto complete
md %1\%2
erase %1\%2\*.* /n >nul
cls
echo.
echo ŝ InstalaĈo Para Sound Blaster 16/32/64/AWE32/AWE64/AWE64Gold v1.1b
echo.
echo ŝ Por Daniel Jorge Caetano (CorreĈo aos Installs da Creative)
echo.
echo.
echo ŝ Instalando Drivers do DOS/WinOS2...
echo.
Unzip.exe doswin.zip -d %1\%2 >nul
echo.
echo ŝ A parte DOS do Install ser  executada agora...
echo.
echo Pressione uma tecla...
pause >nul
cls
%1\%2\installp.bat %1 %2
goto complete

:complete
cls
echo.
echo ŝ InstalaĈo Completa!
echo.
echo ŝ Lembre-se, *ANTES* de encerrar VOCÒ *DEVE* mudar algumas linhas no
echo   CONFIG.SYS. O Install da Creative Labs  cheio de problemas, e
echo   um deles pode travar o seu sistema. As mudanas sĈo:
echo.
echo ŝ Ache a linha (note que o caminho C:\SBOS2 foi assumido):
echo      DEVICE=C:\SBOS2\SBAWED2.SYS ... /N:SBAUD1$
echo   ou
echo      DEVICE=C:\SBOS2\SB16D2.SYS ... /N:SBAUD1$
echo.
echo   e *adicione* um     /P    no fim desta linha.
echo.
echo ŝ Procure a linha:
echo      DEVICE=C:\MMOS2\AUDIOVDD.SYS SBAUD1$
echo.
echo   e *adicione* um    REM    no comeo (antes do DEVICE)
echo.
echo Pressione alguma tecla...
pause>nul
goto end

:error
echo.
echo ŝ InstalaĈo Para Sound Blaster 16/32/64/AWE32/AWE64/AWE64Gold
echo.
echo ŝ Por Daniel Jorge Caetano (CorreĈo aos Installs da Creative)
echo.
echo ŝ Uso:
echo.
rem echo       INSTALLP [Drive]: [Caminho para Install do DOS]
echo       INSTALLP [Drive]:
echo.
rem echo   Onde [Drive]  o letra do drive onde o MMPM est  instalado, e
rem echo   [Caminho para Install do DOS]  o caminho ondee voc  quer os drivers
rem echo   do DOS/WinOS2 instalados. Note que este caminho pode ter apenas um
rem echo   nĦvel e o suporte ser  instalado no drive do MMOS2. Se nĈo quiser o
rem echo   suporte, digite  NONE  como caminho para o Install do DOS.
echo   Onde [Drive]  a letra do drive onde o MMPM est  instalado.
echo.
rem echo ŝ Exemplo: Se seu diret˘rio MMPM est  no drive C: e os DRVs do DOS no C:\SBDOS
echo ŝ Exemplo: Se seu diret˘rio MMPM est  no drive C:,
echo   digite:
echo.
rem echo       INSTALLP C: SBDOS
echo       INSTALLP C:
echo.
echo (Para InstalaĈo em Ingls, use INSTALL ao invs de INSTALLP)
echo.
goto end

:end



